<html>
<head>
<title>OGRE: Ogre::AnimationState Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a></div>
<h1>Ogre::AnimationState Class Reference</h1><!-- doxytag: class="Ogre::AnimationState" -->Represents the state of an animation and the weight of it's influence.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1AnimationState-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#0a78387f3637ec52d9eda6614adbf479">AnimationState</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;animName, <a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *parent, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timePos, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> length, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> weight=1.0, bool enabled=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Normal constructor with all params supplied.  <a href="#0a78387f3637ec52d9eda6614adbf479"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#591c9a568799cf5261d3806129da2f5d">AnimationState</a> (<a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *parent, const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;rhs)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">constructor to copy from an existing state with new parent  <a href="#591c9a568799cf5261d3806129da2f5d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#0202f57ccea141a220330579538611dc">~AnimationState</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destructor - is here because class has virtual functions and some compilers would whine if it won't exist.  <a href="#0202f57ccea141a220330579538611dc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#3833bb6a215b05bf15f70d1fa52dd3ef">getAnimationName</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the name of the animation to which this state applies.  <a href="#3833bb6a215b05bf15f70d1fa52dd3ef"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#dffe55bcb910703b963d0f168eca13cb">getTimePosition</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the time position for this animation.  <a href="#dffe55bcb910703b963d0f168eca13cb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#e69ff5a068d086be7ecc048a71ed8efc">setTimePosition</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timePos)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the time position for this animation.  <a href="#e69ff5a068d086be7ecc048a71ed8efc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#25849076feadef5cbbfcb57589c3966b">getLength</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the total length of this animation (may be shorter than whole animation).  <a href="#25849076feadef5cbbfcb57589c3966b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#f1910e8bbaebe61359ac7edb638e5cbc">setLength</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> len)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the total length of this animation (may be shorter than whole animation).  <a href="#f1910e8bbaebe61359ac7edb638e5cbc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#6284267d9586b91203dca1456f6cba77">getWeight</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the weight (influence) of this animation.  <a href="#6284267d9586b91203dca1456f6cba77"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#9666320c8d7739e3b0ee8ebd3bfe84aa">setWeight</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> weight)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the weight (influence) of this animation.  <a href="#9666320c8d7739e3b0ee8ebd3bfe84aa"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#4670365ae58e531297816ede430b0971">addTime</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> offset)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Modifies the time position, adjusting for animation length.  <a href="#4670365ae58e531297816ede430b0971"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#e8d092abcb1e407b73f57d23394bd736">hasEnded</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if the animation has reached the end and is not looping.  <a href="#e8d092abcb1e407b73f57d23394bd736"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#3cecdbea43c62531d51d8c4ac51c56ab">getEnabled</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if this animation is currently enabled.  <a href="#3cecdbea43c62531d51d8c4ac51c56ab"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#7acaa951a87614f39df6a7f767a88f60">setEnabled</a> (bool enabled)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether this animation is enabled.  <a href="#7acaa951a87614f39df6a7f767a88f60"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#01a1f30ff86bad2817be3675a6c3e67b">operator==</a> (const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;rhs) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Equality operator.  <a href="#01a1f30ff86bad2817be3675a6c3e67b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#7f21613e63dfd864ddd3df640c2131a4">operator!=</a> (const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#1f6272f69d31ff9fdeca356cfcf0bc9d">setLoop</a> (bool loop)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether or not an animation loops at the start and end of the animation if the time continues to be altered.  <a href="#1f6272f69d31ff9fdeca356cfcf0bc9d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#0ec0b1f09ef22e7ef18a041e2fb30f29">getLoop</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets whether or not this animation loops.  <a href="#0ec0b1f09ef22e7ef18a041e2fb30f29"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#d49f3512efa4716c778e48d1223f1b4f">copyStateFrom</a> (const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;animState)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Copies the states from another animation state, preserving the animation name (unlike operator=) but copying everything else.  <a href="#d49f3512efa4716c778e48d1223f1b4f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#adbf4450864c966da1911d600a673ff7">getParent</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the parent animation state set.  <a href="#adbf4450864c966da1911d600a673ff7"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#6aaecdb4c2d236c0a8b3b1af346e511e">mAnimationName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#9c169c11fa2b35f0f9db9f68f69c0da0">mParent</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a524309374bba8a3eb05bac6c046ec1b">mTimePos</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#17da018a960a834b8d16af2e811b535f">mLength</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#0e241844010a40259cf0eb28bcc68b98">mWeight</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#04f40a90d9464b5ed89ceb803b5e96d9">mEnabled</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#4a6f3f2717fa461eaf22c04bf6528288">mLoop</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Represents the state of an animation and the weight of it's influence. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Other classes can hold instances of this class to store the state of any animations they are using. </dd></dl>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00046">46</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="0a78387f3637ec52d9eda6614adbf479"></a><!-- doxytag: member="Ogre::AnimationState::AnimationState" ref="0a78387f3637ec52d9eda6614adbf479" args="(const String &amp;animName, AnimationStateSet *parent, Real timePos, Real length, Real weight=1.0, bool enabled=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AnimationState::AnimationState           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>animName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>timePos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>weight</em> = <code>1.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>enabled</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Normal constructor with all params supplied. 
<p>

</div>
</div><p>
<a class="anchor" name="591c9a568799cf5261d3806129da2f5d"></a><!-- doxytag: member="Ogre::AnimationState::AnimationState" ref="591c9a568799cf5261d3806129da2f5d" args="(AnimationStateSet *parent, const AnimationState &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AnimationState::AnimationState           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
constructor to copy from an existing state with new parent 
<p>

</div>
</div><p>
<a class="anchor" name="0202f57ccea141a220330579538611dc"></a><!-- doxytag: member="Ogre::AnimationState::~AnimationState" ref="0202f57ccea141a220330579538611dc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::AnimationState::~AnimationState           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destructor - is here because class has virtual functions and some compilers would whine if it won't exist. 
<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="3833bb6a215b05bf15f70d1fa52dd3ef"></a><!-- doxytag: member="Ogre::AnimationState::getAnimationName" ref="3833bb6a215b05bf15f70d1fa52dd3ef" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::AnimationState::getAnimationName           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the name of the animation to which this state applies. 
<p>

</div>
</div><p>
<a class="anchor" name="dffe55bcb910703b963d0f168eca13cb"></a><!-- doxytag: member="Ogre::AnimationState::getTimePosition" ref="dffe55bcb910703b963d0f168eca13cb" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::AnimationState::getTimePosition           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the time position for this animation. 
<p>

</div>
</div><p>
<a class="anchor" name="e69ff5a068d086be7ecc048a71ed8efc"></a><!-- doxytag: member="Ogre::AnimationState::setTimePosition" ref="e69ff5a068d086be7ecc048a71ed8efc" args="(Real timePos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationState::setTimePosition           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>timePos</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the time position for this animation. 
<p>

</div>
</div><p>
<a class="anchor" name="25849076feadef5cbbfcb57589c3966b"></a><!-- doxytag: member="Ogre::AnimationState::getLength" ref="25849076feadef5cbbfcb57589c3966b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::AnimationState::getLength           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the total length of this animation (may be shorter than whole animation). 
<p>

</div>
</div><p>
<a class="anchor" name="f1910e8bbaebe61359ac7edb638e5cbc"></a><!-- doxytag: member="Ogre::AnimationState::setLength" ref="f1910e8bbaebe61359ac7edb638e5cbc" args="(Real len)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationState::setLength           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>len</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the total length of this animation (may be shorter than whole animation). 
<p>

</div>
</div><p>
<a class="anchor" name="6284267d9586b91203dca1456f6cba77"></a><!-- doxytag: member="Ogre::AnimationState::getWeight" ref="6284267d9586b91203dca1456f6cba77" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::AnimationState::getWeight           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the weight (influence) of this animation. 
<p>

</div>
</div><p>
<a class="anchor" name="9666320c8d7739e3b0ee8ebd3bfe84aa"></a><!-- doxytag: member="Ogre::AnimationState::setWeight" ref="9666320c8d7739e3b0ee8ebd3bfe84aa" args="(Real weight)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationState::setWeight           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>weight</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the weight (influence) of this animation. 
<p>

</div>
</div><p>
<a class="anchor" name="4670365ae58e531297816ede430b0971"></a><!-- doxytag: member="Ogre::AnimationState::addTime" ref="4670365ae58e531297816ede430b0971" args="(Real offset)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationState::addTime           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>offset</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Modifies the time position, adjusting for animation length. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method loops at the edges if animation looping is enabled. </dd></dl>

</div>
</div><p>
<a class="anchor" name="e8d092abcb1e407b73f57d23394bd736"></a><!-- doxytag: member="Ogre::AnimationState::hasEnded" ref="e8d092abcb1e407b73f57d23394bd736" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AnimationState::hasEnded           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the animation has reached the end and is not looping. 
<p>

</div>
</div><p>
<a class="anchor" name="3cecdbea43c62531d51d8c4ac51c56ab"></a><!-- doxytag: member="Ogre::AnimationState::getEnabled" ref="3cecdbea43c62531d51d8c4ac51c56ab" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AnimationState::getEnabled           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if this animation is currently enabled. 
<p>

</div>
</div><p>
<a class="anchor" name="7acaa951a87614f39df6a7f767a88f60"></a><!-- doxytag: member="Ogre::AnimationState::setEnabled" ref="7acaa951a87614f39df6a7f767a88f60" args="(bool enabled)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationState::setEnabled           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>enabled</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether this animation is enabled. 
<p>

</div>
</div><p>
<a class="anchor" name="01a1f30ff86bad2817be3675a6c3e67b"></a><!-- doxytag: member="Ogre::AnimationState::operator==" ref="01a1f30ff86bad2817be3675a6c3e67b" args="(const AnimationState &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AnimationState::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Equality operator. 
<p>

</div>
</div><p>
<a class="anchor" name="7f21613e63dfd864ddd3df640c2131a4"></a><!-- doxytag: member="Ogre::AnimationState::operator!=" ref="7f21613e63dfd864ddd3df640c2131a4" args="(const AnimationState &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AnimationState::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1f6272f69d31ff9fdeca356cfcf0bc9d"></a><!-- doxytag: member="Ogre::AnimationState::setLoop" ref="1f6272f69d31ff9fdeca356cfcf0bc9d" args="(bool loop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationState::setLoop           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>loop</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether or not an animation loops at the start and end of the animation if the time continues to be altered. 
<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00095">95</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0ec0b1f09ef22e7ef18a041e2fb30f29"></a><!-- doxytag: member="Ogre::AnimationState::getLoop" ref="0ec0b1f09ef22e7ef18a041e2fb30f29" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AnimationState::getLoop           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets whether or not this animation loops. 
<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00097">97</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d49f3512efa4716c778e48d1223f1b4f"></a><!-- doxytag: member="Ogre::AnimationState::copyStateFrom" ref="d49f3512efa4716c778e48d1223f1b4f" args="(const AnimationState &amp;animState)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationState::copyStateFrom           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>animState</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Copies the states from another animation state, preserving the animation name (unlike operator=) but copying everything else. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>animState</em>&nbsp;</td><td>Reference to animation state which will use as source. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="adbf4450864c966da1911d600a673ff7"></a><!-- doxytag: member="Ogre::AnimationState::getParent" ref="adbf4450864c966da1911d600a673ff7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a>* Ogre::AnimationState::getParent           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the parent animation state set. 
<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00106">106</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="6aaecdb4c2d236c0a8b3b1af346e511e"></a><!-- doxytag: member="Ogre::AnimationState::mAnimationName" ref="6aaecdb4c2d236c0a8b3b1af346e511e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1AnimationState.html#6aaecdb4c2d236c0a8b3b1af346e511e">Ogre::AnimationState::mAnimationName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00109">109</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9c169c11fa2b35f0f9db9f68f69c0da0"></a><!-- doxytag: member="Ogre::AnimationState::mParent" ref="9c169c11fa2b35f0f9db9f68f69c0da0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a>* <a class="el" href="classOgre_1_1AnimationState.html#9c169c11fa2b35f0f9db9f68f69c0da0">Ogre::AnimationState::mParent</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00110">110</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a524309374bba8a3eb05bac6c046ec1b"></a><!-- doxytag: member="Ogre::AnimationState::mTimePos" ref="a524309374bba8a3eb05bac6c046ec1b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1AnimationState.html#a524309374bba8a3eb05bac6c046ec1b">Ogre::AnimationState::mTimePos</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00111">111</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="17da018a960a834b8d16af2e811b535f"></a><!-- doxytag: member="Ogre::AnimationState::mLength" ref="17da018a960a834b8d16af2e811b535f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1AnimationState.html#17da018a960a834b8d16af2e811b535f">Ogre::AnimationState::mLength</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00112">112</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0e241844010a40259cf0eb28bcc68b98"></a><!-- doxytag: member="Ogre::AnimationState::mWeight" ref="0e241844010a40259cf0eb28bcc68b98" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1AnimationState.html#0e241844010a40259cf0eb28bcc68b98">Ogre::AnimationState::mWeight</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00113">113</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="04f40a90d9464b5ed89ceb803b5e96d9"></a><!-- doxytag: member="Ogre::AnimationState::mEnabled" ref="04f40a90d9464b5ed89ceb803b5e96d9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1AnimationState.html#04f40a90d9464b5ed89ceb803b5e96d9">Ogre::AnimationState::mEnabled</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00114">114</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4a6f3f2717fa461eaf22c04bf6528288"></a><!-- doxytag: member="Ogre::AnimationState::mLoop" ref="4a6f3f2717fa461eaf22c04bf6528288" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1AnimationState.html#4a6f3f2717fa461eaf22c04bf6528288">Ogre::AnimationState::mLoop</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00115">115</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:06 2008
</p>
</body>
</html>
